Subject: Re: [PATCH] git-archive: recursive prefix directory creation

From: René Scharfe <[email-masked]>
Date: Sat, 19 May 2007 21:56:59 +0200

Junio C Hamano schrieb:
> René Scharfe <[email-masked]> writes:
> 
>> Currently git-archive only adds a single directory entry for prefixes,
>> e.g. for --prefix=a/b/c/ only the directory a/b/c/ would be added to
>> the archive, not a/ nor a/b/.  While tar and unzip don't seem to have
>> a problem handling these missing entries, their omission was not
>> intended.
> 
> Until we start tracking directories (we briefly discussed, and I
> think I agree with Linus that it should not be too painful), I'd
> rather keep the current behaviour which I feel is more
> consistent with what we really are doing.

Hmm, fair enough.  I started out with a simple cleanup and then I guess
went a bit overboard with that overblown path walker. :-]

René